apiVersion: traefik.io/v1alpha1
kind: IngressRouteTCP
metadata:
  name: registry-tcp
  namespace: nexus
spec:
  entryPoints:
    - websecure       # Traefik HTTPS entrypoint
  routes:
    - match: HostSNI(`registry-dev.allarddcs.nl`)
      services:
        - name: nexus
          port: 5000   # Nexus HTTP port for Docker registry
  tls:
    certResolver: letsencrypt  # Traefik uses this certificate
